Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001516opensim[REGION] OpenSim Corepublic2008-06-09 18:162016-05-08 18:36
Reporterlmmz 
Assigned To 
PrioritynormalSeverityfeatureReproducibilityalways
StatusacknowledgedResolutionopen 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0001516: r 5059 - sitting on a default sphere chooses a different sit rotation than on LL grid
Descriptioncreate a default sphere.

the sphere is rezzed with a Euler rotation of <0,90,0> , same as on LL grid.

sit on the sphere.

on the LL grid, the avatar sits upright, as if the sphere were rotated to <0,0,0>.

on OpenSim, the avatar sits sideways, matching the <0,90,0> rotation of the sphere.


TagsNo tags attached.
Git Revision or version number
Run Mode Grid (Multiple Regions per Sim)
Physics EngineODE
EnvironmentMono / Windows
Mono VersionNone
Viewer
Attached Files

- Relationships

-  Notes
(0003618)
lmmz (reporter)
2008-07-09 21:21

still an issue in r5405.
(0003951)
lmmz (reporter)
2008-07-23 13:54

still an issue in 5602.
(0006738)
mirceakitsune (reporter)
2008-10-31 05:09

still an issue in r7016
(0006846)
lmmz (reporter)
2008-11-03 15:09

Still an issue in 7075.
(0007869)
Teravus (administrator)
2008-12-14 00:16

The sit code needs help. :)
(0011445)
lmmz (reporter)
2009-05-12 20:44

Still an issue in 9335. An interesting note on the issue: if you create a cube, then change the cube to a sphere, then sit, the avatar sits upright on the sphere. The avatar still sits on the wrong face of the sphere, as noted in 3374: http://opensimulator.org/mantis/view.php?id=3374 [^]
(0011446)
lmmz (reporter)
2009-05-12 20:45

We still have some old sit issues here.
(0011583)
lmmz (reporter)
2009-05-17 13:06

9561. Still a happenin.
(0011808)
lmmz (reporter)
2009-05-31 18:46

still happening in 9740.
(0012225)
lmmz (reporter)
2009-06-21 12:45

Still an issue in 9886? Do we care? Should this be closed?
(0013855)
lmmz (reporter)
2009-10-13 17:49

still wrong in HEAD
(0019428)
makopoppo (manager)
2011-08-07 02:48

Still an issue in OpenSim 0.7.2-dev.
(0025631)
lmmz (reporter)
2014-03-28 15:14

Still an issue in OSgrid 0.8.0 (Dev) b0cb0ec: 2014-03-23.
(0025647)
maurizio55 (reporter)
2014-03-30 16:10

still a problem in 0.7.6. sitting code needs some fix in general. check issue 0007069
(0025692)
lmmz (reporter)
2014-04-05 15:04
edited on: 2014-04-08 10:32

I realize that changing calculations for sit positions in OpenSim risks a huge hairball of protest. Changing it could "break" a tremendous amount of content (and hearts). EDIT: Since this is an unscripted sit issue, I think we may be safe in changing it.

(0025695)
kenvc (reporter)
2014-04-05 19:23

Any patches to match this up with the way it works in SL would be welcome. If worse comes to worse for those who have adapted to the non-sl sit position, opensim.ini offset values could be used to return the sit position to the original non-sl position.
(0025724)
lmmz (reporter)
2014-04-08 10:32

Agreed. Patches welcome.
(0026290)
lmmz (reporter)
2014-06-17 14:40

Still an issue in OpenSim 0.8.0 Dev 7f0adfd: 2014-06-13.
(0026377)
lmmz (reporter)
2014-06-26 11:18
edited on: 2014-06-26 11:24

Still an issue in 0.8.1 Dev ca2379e: 2014-06-21. Maybe an easy fix would be to change the default rotation of a rezzed sphere from 0,90,0 to 0,0,0?

(0030283)
lmmz (reporter)
2016-05-08 12:44
edited on: 2016-05-08 13:03

Is this still an issue for anyone? I will retest and report here.

2016/5/8. RETESTED. Still the exact same issue. Default sphere gets rezzed with a rotation of 0/90/0. Sitting on the newly rezzed sphere sits the avatar sideways, according to the rezzed rotation, instead of upright, as on LL grid. Maybe this should be closed as "by design" or "wont fix" at this point. I dont know if changing it would break content now, after 8 years. I feel old. Does anyone have opinions on this one?

(0030284)
melanie (administrator)
2016-05-08 13:43

This will not be fixed in ODE. Please try 0.9.0 using ubODE, it may work there. Also, Bullet may work or may get fixed if it doesn't.
(0030289)
lmmz (reporter)
2016-05-08 18:36
edited on: 2016-05-08 18:37

Thanks, Mel.

Tested at ubODE Islands, 0.9.0.0 Dev, on Osgrid. The issue is fixed there.

Tested at Bullet512a, 0.9.0.0 Dev, on OSGrid. The issue is not fixed there.


- Issue History
Date Modified Username Field Change
2008-06-09 18:16 lmmz New Issue
2008-06-09 18:16 lmmz SVN Revision => 0
2008-06-09 18:16 lmmz Run Mode => Grid (Multiple Regions per Sim)
2008-06-09 18:16 lmmz Physics Engine => ODE
2008-06-09 18:16 lmmz Environment => Mono / Windows
2008-06-09 18:16 lmmz SVN Revision 0 => 5059
2008-06-09 18:16 lmmz Summary sitting on a default sphere chooses a different sit rotation than on LL grid => r 5059 - sitting on a default sphere chooses a different sit rotation than on LL grid
2008-07-09 21:21 lmmz Note Added: 0003618
2008-07-23 13:54 lmmz Note Added: 0003951
2008-10-31 05:09 mirceakitsune Note Added: 0006738
2008-11-03 15:09 lmmz Note Added: 0006846
2008-12-14 00:16 Teravus Note Added: 0007869
2008-12-14 06:17 sdague Status new => acknowledged
2009-05-12 20:44 lmmz Note Added: 0011445
2009-05-12 20:45 lmmz Note Added: 0011446
2009-05-12 20:45 lmmz Status acknowledged => feedback
2009-05-17 13:06 lmmz Note Added: 0011583
2009-05-31 18:46 lmmz Note Added: 0011808
2009-06-21 12:45 lmmz Note Added: 0012225
2009-10-13 17:49 lmmz Note Added: 0013855
2011-08-07 02:48 makopoppo Mono Version => None
2011-08-07 02:48 makopoppo Note Added: 0019428
2011-08-07 02:48 makopoppo Status feedback => acknowledged
2014-03-28 15:14 lmmz Note Added: 0025631
2014-03-30 16:10 maurizio55 Note Added: 0025647
2014-04-05 15:04 lmmz Note Added: 0025692
2014-04-05 15:06 lmmz Note Edited: 0025692 View Revisions
2014-04-05 15:06 lmmz Note Edited: 0025692 View Revisions
2014-04-05 19:23 kenvc Note Added: 0025695
2014-04-08 10:32 lmmz Note Added: 0025724
2014-04-08 10:32 lmmz Note Edited: 0025692 View Revisions
2014-06-17 14:40 lmmz Note Added: 0026290
2014-06-26 11:18 lmmz Note Added: 0026377
2014-06-26 11:24 lmmz Note Edited: 0026377 View Revisions
2016-05-08 12:44 lmmz Note Added: 0030283
2016-05-08 12:48 lmmz Note Edited: 0030283 View Revisions
2016-05-08 12:58 lmmz Note Edited: 0030283 View Revisions
2016-05-08 12:59 lmmz Note Edited: 0030283 View Revisions
2016-05-08 13:01 lmmz Note Edited: 0030283 View Revisions
2016-05-08 13:01 lmmz Note Edited: 0030283 View Revisions
2016-05-08 13:03 lmmz Note Edited: 0030283 View Revisions
2016-05-08 13:43 melanie Note Added: 0030284
2016-05-08 18:36 lmmz Note Added: 0030289
2016-05-08 18:37 lmmz Note Edited: 0030289 View Revisions


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker